## 生成数据结构文件,创建到指定目录文件下

### 数据结构范例如下:
```rs
// 参数结构体
struct RequestParam {
    #[default=0]
    param1: u32,          // 参数1
    #[default='']
    param2: str,          // 参数2
}

// 数据对象结构体
struct RecordData {
    #[default=0]
    data1: u32,          // 数据1
    #[default='']
    data2: str,          // 数据2
    #[default=[]]
    data2: [u32],        // 数据3
}

// 需要落地的DataBase                                                                        
#[primary=key,db=logfile,dbMonitor=true]
struct PlayerXxxDB {
    
    uid: u32,                           // PlayerXxxDB的主键uid

    #[default=new Map()]
    map: HashMap<u32, [u32]>,           // 需要存储的map数据
    
    data: Option<RecordData>,           // 需要存储的结构体RecordData数据
}
```

### 说明：
- 每个字段都要有注释
- 如果主键是玩家唯一id,字段名需要用rid表示
- 结构体用驼峰命名法,首字母大写,其余单词首字母大写
- 结构体包含的字段使用小写字母,单词之间使用下划线连接
- 结构体应该简洁明了,避免使用冗长的命名,英文字母不超过22个
- 变量需要给默认的值,默认值需要使用#[default=xxx]来指定
- DB的主键不需要给默认值,需要设置primary=key
- 可为空的字段需要加Option,例如Option<u32>,Option<RecordData>
- 生成的数据结构文件放在`./src/struct`目录下,文件名为`xxx.rs`,xxx为《程序设计书_XXXX.md》中的'功能名'